Name:           bti
Version:        028
Release:        1%{?dist}.1
Summary:        Bash Twitter/Identi.ca Idiocy

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.kernel.org/pub/linux/kernel/people/gregkh/bti
Source0:        http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-%{version}.tar.bz2
Source1:        README.Fedora
Patch0:         bti-028-readline5.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# still supporting EL-5, rename to libcurl-devel once this changes
BuildRequires:  curl-devel compat-readline5-devel
BuildRequires:  liboauth-devel libxml2-devel pcre-devel
#Requires:       

%description
Allows you to pipe your bash input to twitter or identi.ca in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%patch0 -p1 -b .readline5
cp -p %{SOURCE1} .


%build
%configure
make %{?_smp_mflags} LDFLAGS="-L%{_libdir}/readline5"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# bash completion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/bti


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc bti.example ChangeLog COPYING README README.Fedora RELEASE-NOTES
# Own the directory so that we do not need to Require:
# bash-completion just for one file
%dir %{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
* Wed Sep 29 2010 jkeating - 028-1.1
- Rebuilt for gcc bug 634757

* Wed Sep  8 2010 Michel Salim <salimma@fedoraproject.org> - 028-1
- Update to 028

* Thu May 20 2010 Michel Salim <salimma@fedoraproject.org> - 026-1
- Update to 026

* Wed Aug 19 2009 Michel Salim <salimma@fedoraproject.org> - 023-1
- Update to 023
- Build against readline v5, due to licensing incompatibilities with v6
  (bug #511301)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Michel Salim <salimma@fedoraproject.org> - 015-1
- Update to 015

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 014-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Michel Salim <salimma@fedoraproject.org> - 014-1
- Update to 014

* Mon Dec 29 2008 Michel Salim <salimma@fedoraproject.org> - 007-1
- Update to 0.0.7

* Thu Aug 28 2008 Michel Salim <salimma@fedoraproject.org> - 005-1
- Initial package

